Subject: rfc2222bis: protocol profile?

From: Hallvard B Furuseth <[email-masked]>
Date: Sun, 9 Nov 2003 19:48:07 +0100

What is the purpose of the protocol profile?  If a protocol spec has
something to say about its SASL entities that are not mentioned in
section 5 (Protocol profile requirements), should it go in the profile
or elsewhere?  Could you say something about that in section 5?

For example, the LDAP document draft-ietf-ldapbis-authmeth-08.txt says:

   3.3.5. Rules for using SASL security layers 
    
   If a SASL security layer is negotiated, the client SHOULD discard 
   information about the server fetched prior to the initiation of the 
   SASL negotiation and not obtained through secure mechanisms.  

   If the client is configured to support multiple SASL mechanisms, it 
   SHOULD fetch the supportedSASLmechanisms list [An LDAP item] both
   before and after the SASL security layer is negotiated.  (...)

Does that belong in the protocol profile?

-- 
Hallvard